﻿@model List<Binance.MarketAnalyzer.Models.CandlestickAnalysis>
@using Binance.MarketAnalyzer.Service

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>Binance - Market Analyzer</title>
    <link rel="stylesheet" type="text/css" href="~/css/site.css">
</head>
<body>
    <div class="container">
        <h1>Binance Market Analyzer</h1>

        <div class="result-wrapper">
            <h2>Candlestick Analysis</h2>
            @foreach (var analysis in Model)
            {
                <div class="analysis-box @(analysis.Score < 50 ? "bearish" : "bullish")">

                    <a target="_blank" href="@Html.DisplayFor(modelItem => analysis.BinanceLink)">
                        <strong>@Html.DisplayFor(modelItem => analysis.Symbol)</strong>
                    </a>

                    <hr />

                    <div>
                        <span class="score">
                            @Html.DisplayFor(modelItem => analysis.Score)
                        </span>
                    </div>

                    <div class="tag-wrapper">
                        @foreach (var pattern in analysis.Patterns)
                        {
                            <a target="_blank" href="@Html.DisplayFor(modelItem => pattern.HelpLink)" title="@Html.DisplayFor(modelItem => pattern.Remarks)">
                                <span class="tag @(pattern.Type == CandlestickPatternType.Bullish ? "bullish" : "bearish")">
                                    @Html.DisplayFor(modelItem => pattern.Name) (@Html.DisplayFor(modelItem => pattern.Points))
                                </span>
                            </a>
                        }
                    </div>

                </div>
            }
        </div>
    </div>

</body>
</html>